import { Router, json as jsonMiddleware } from "express";
import { getSilencedTests } from "../database/queries/alerting.js";
const router = Router();

// Apply Middlewares
router.use(jsonMiddleware());

// Get Routes
router.get("/silenced", (req, res) => {
  getSilencedTests().then((t) => res.send(t));
});

// Post Routes
router.post("/silence", (req, res) => {
  res.sendStatus(200);
});

export default router;
